﻿using System;
using System.Windows;
using Infragistics.Controls.Layouts;

namespace TileManager
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private MainViewModel dataC;

        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainViewModel();
            XamTileManager.AnimationEnded += XamTileManagerOnAnimationEnded;
        }

        private void XamTileManagerOnAnimationEnded(object sender, EventArgs e)
        {
            dataC = XamTileManager.DataContext as MainViewModel;
            XamTileManager.MaximizedModeSettings.MinimizedTileConstraints = new TileConstraints() { PreferredHeight = 43, PreferredWidth = 70};
        }

        void CheckForTilePositions()
        {
            if (XamTileManager.MaximizedItems.Count == 3)
            {
                XamTileManager.NormalModeSettings.TileConstraints = new TileConstraints
                {
                    PreferredHeight = 10,
                    PreferredWidth = 10,
                    MaxHeight = 470,
                    MaxWidth = 690
                };
                var curentTile = XamTileManager.TileFromItem(XamTileManager.MaximizedItems[2]);
                XamTileManager.SetColumn(curentTile, 0);
                XamTileManager.SetRow(curentTile, 1);
                XamTileManager.SetRowSpan(curentTile, 1);
                XamTileManager.SetColumnSpan(curentTile, 2);

                curentTile = XamTileManager.TileFromItem(XamTileManager.MaximizedItems[0]);
                XamTileManager.SetColumn(curentTile, 0);
                XamTileManager.SetRow(curentTile, 0);
                XamTileManager.SetRowSpan(curentTile, 1);
                XamTileManager.SetColumnSpan(curentTile, 1);

                curentTile = XamTileManager.TileFromItem(XamTileManager.MaximizedItems[1]);
                XamTileManager.SetColumn(curentTile, 1);
                XamTileManager.SetRow(curentTile, 0);
                XamTileManager.SetRowSpan(curentTile, 1);
                XamTileManager.SetColumnSpan(curentTile, 1);

                XamTileManager.UpdateLayout();
            }
        }

        void MouseLeftClickAction2(object sender, SizeChangedEventArgs e)
        {
            CheckForTilePositions();
        }
    }
}
